import type { TNationalPerson } from "@/lib/types";

export default async function usePerson({
	idCard,
}: { idCard: string }): Promise<TNationalPerson> {
	const nationalInformation = await fetch(
		`${process.env.PERSON_VERIFY_API_BASE}/api/person/${idCard}`,
		{
			next: {
				revalidate: 60,
			},
		},
	);
	const nationalData = (await nationalInformation.json()) as TNationalPerson;
	return nationalData;
}
