"use server";
import usePerson from "@/hooks/use-person";
import type { User } from "@prisma/client";

export default async function VerifyUserDetails({ user }: { user: User }) {
	const phoneNumber = user.phoneNumber.slice(4);
	const nationalData = await usePerson({ idCard: user.id_card ?? "" });
	const dob = new Date(nationalData.dob);
	const age = new Date().getFullYear() - dob.getFullYear();

	if (
		user.id_card === nationalData.nic &&
		user.name === nationalData.name_en &&
		user.address === nationalData.house_name_en &&
		phoneNumber === nationalData.primary_contact &&
		age >= 18
	) {
		return true;
	}
	return false;
}
